unit UnitDBDataMod;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, LResources, Forms, Controls, Graphics, Dialogs,
  ZConnection, ZDataset, db;

type

  { TDBDataMod }

  TDBDataMod = class(TForm)
    Datasource1: TDatasource;
    ZConnection1: TZConnection;
    ZQuery1: TZQuery;
    procedure FormCreate(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
    
    function ConnectToDB(sHost,sDatabase,sPassword,sUsername,sProtocol:String;iPort:integer):Boolean;
  end; 

var
  DBDataMod: TDBDataMod;

implementation

{ TDBDataMod }

procedure TDBDataMod.FormCreate(Sender: TObject);
begin

end;

function TDBDataMod.ConnectToDB(sHost,sDatabase,sPassword,sUsername,sProtocol:String;iPort:integer):Boolean;
begin
   result := True;
   try
     ZConnection1.HostName:=sHost;
     ZConnection1.Database:=sDatabase;
     ZConnection1.Port:=iPort;
     ZConnection1.Protocol:=sProtocol;
     ZConnection1.User:=sUsername;
     ZConnection1.Password:=sPassword;
     ZConnection1.Connect;
   except
         Result:= False;
   end;
end;

initialization
  {$I unitdbdatamod.lrs}

end.

